# key

Stores the Darwin score in the specified JSON field.

This parameter applies to Darwin connector (mmdarwin).

Name:

  key

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  yes

Introduced:

  at least 8.x, possibly earlier

## Description

The key name to use to store the returned data.

For example, given the following log line:

    {
        "from": "192.168.1.42",
        "date": "2012-12-21 00:00:00",
        "status": "200",
        "data": {
            "status": true,
            "message": "Request processed correctly"
        }
    }

and the `"certitude"` key, the enriched log line would be:

    {
        "from": "192.168.1.42",
        "date": "2012-12-21 00:00:00",
        "status": "200",
        "data": {
            "status": true,
            "message": "Request processed correctly"
        },
        "certitude": 0
    }

where `"certitude"` represents the score returned by Darwin.

## Input usage

    action(type="mmdarwin" key="certitude")

## See also

See also Darwin connector (mmdarwin).

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.